Subject: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Mani Kancherla <[email-masked]>
Date: Tue, 5 Oct 2021 09:40:18 -0700

Hi,

Just want to give you an update on this. I have been using the new version
for 10 days now and have not seen any issues.
Maybe we can close this bug. Thank you all for your help.

Mani

On Fri, Sep 24, 2021 at 1:39 PM Mani Kancherla <[email-masked]>
wrote:

> Hi,
>
> I downloaded the src for emacs latest (28.0.50) and built it. I also
> downloaded tramp elpa 2.5.1.2 and compiled it. With this combination I do
> not see the problem with the specific file I was having trouble with.
>
> Earlier, I was seeing an occasional crash of emacs with tramp (in addition
> to the above issue). I will continue to test with this new version in
> debugger to see if it crashes and get the backtrace if and when it does.
>
> Thank you.
> Mani
>
> On Sat, Sep 18, 2021 at 12:52 AM Michael Albinus <[email-masked]>
> wrote:
>
>> Michael Albinus <[email-masked]> writes:
>>
>> Hi Mani,
>>
>> >> With "make bootstrap" I was able to compile and run. The very first
>> >> time I launched it in debugger, emacs crashed. Please see the stack
>> >> trace below. A subsequent attempt to launch did not crash and I can
>> >> confirm that I do not see the issue of emacs hanging when I open that
>> >> file over tramp. This is with tramp 2.5.2-pre and emacs 28.0.50.
>> >
>> > Please use the Tramp ELPA package for test. Tramp's builtin version
>> > doesn't contain thread code.
>>
>> "Emacs' builtin version of Tramp"
>>
>> >> Thanks,
>> >> Mani
>>
>> Best regards, Michael.
>>
>